Bug 1341608 - Ethtool command is not supported on p2v client
Summary: Ethtool command is not supported on p2v client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.3
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard: P2V
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-01 10:55 UTC by mxie@redhat.com
Modified: 2016-11-03 18:00 UTC (History)
5 users (show)

Fixed In Version: libguestfs-1.32.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 18:00:42 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (52.85 KB, image/png)
2016-06-01 10:55 UTC, mxie@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2576 0 normal SHIPPED_LIVE Moderate: libguestfs and virt-p2v security, bug fix, and enhancement update 2016-11-03 12:06:51 UTC

Description mxie@redhat.com 2016-06-01 10:55:11 UTC
Created attachment 1163579 [details]
screenshot

Description of problem:
Ethtool command is not supported on p2v client


Version-Release number of selected component (if applicable):
virt-p2v-1.32.4-1.el7.iso


How reproducible:
100%

Steps to Reproduce:
1.Boot the source machine into p2v client via iso
2.Input the ip and password of conversion server
3.At the input conversion info interface,  left click eth0 on p2v client but found the light of physical machine's relevant network port will not flash 
4.Exit the p2v GUI interface and enter into p2v console mode, input the command about network indentify, it shows ethtool command is not support, pls refer to screenshot
#ethtool --identify eth0
ethtool:command not found


Actual results:
As above description

Expected results:
Network identify function works well on virt-p2v 
 

Additional info:

Comment 4 zhoujunqin 2016-06-22 10:30:38 UTC
I can reproduce this issue with build:
virt-p2v-1.32.4-3.el7.iso

Then try to verify this bug with new build:
virt-p2v-1.32.5-5.el7.iso

Steps:
1. Boot the source machine into p2v client via iso 
2. After virt-p2v client launched, press "Ctrl+Alt+F1[3,4,5,6]" switch to p2v console mode.
3. Input the command about network identify
# ethtool 
ethtool: bad command line argument(s)
For more information run ethtool -h

# ifconfig
eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.100.187  netmask 255.255.255.0  broadcast 192.168.100.255
        inet6 fe80::5054:ff:febb:c424  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:bb:c4:24  txqueuelen 1000  (Ethernet)
        RX packets 863  bytes 50544 (49.3 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 40  bytes 6817 (6.6 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1  (Local Loopback)
        RX packets 4  bytes 352 (352.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 4  bytes 352 (352.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

# ethtool lo

Settings for lo:
	Link detected: yes

Since command ethtool is added and it works well, move this bug from ON_QA to VERIFIED.

Comment 6 errata-xmlrpc 2016-11-03 18:00:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html


Note You need to log in before you can comment on or make changes to this bug.